Bug 139947 - cdrecord hangs on scsi cdwriters
cdrecord hangs on scsi cdwriters
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 16:21 EST by A.P.Munnikes
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A.P.Munnikes 2004-11-18 16:21:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
cdrecord (run as root) can not write to a scsi cdwriter

cdrecord -tao dev=2,5,0 /tmp/image.iso
cdrecord -tao dev=2,4,0 /tmp/image.iso
cdrecord -tao dev=/dev/scd2 /tmp/image.iso
cdrecord -tao dev=/dev/scd1 /tmp/image.iso

on a ide cd/dvd writer device there is no problem.

cdrecord hangs for 60 a 120 seconds and the results on dmesg are:

sym0:8:0: ABORT operation started.
sym0:8:0: ABORT operation timed-out.
sym0:8:0: ABORT operation started.
sym0:8:0: ABORT operation timed-out.
sym0:5:0: ABORT operation started.
sym0:5:0: ABORT operation timed-out.
sym0:5:0: DEVICE RESET operation started.
sym0:5:0: DEVICE RESET operation timed-out.
sym0:8:0: DEVICE RESET operation started.
sym0:8:0: DEVICE RESET operation timed-out.
sym0:8:0: BUS RESET operation started.
sym0: SCSI BUS reset detected.
sym0: SCSI BUS has been reset.
sym0:8:0: BUS RESET operation complete.
sym0:5:0:phase change 2-1 10@2bf0b760 resid=8.
sym0:8:0: ABORT operation started.
sym0:8:0: ABORT operation timed-out.
sym0:8:0: ABORT operation started.
sym0:8:0: ABORT operation timed-out.
sym0:5:0: ABORT operation started.
sym0:5:0: ABORT operation timed-out.
sym0:5:0: DEVICE RESET operation started.
sym0:5:0: DEVICE RESET operation timed-out.
sym0:8:0: DEVICE RESET operation started.
sym0:8:0: DEVICE RESET operation timed-out.
sym0:8:0: BUS RESET operation started.
sym0: SCSI BUS reset detected.
sym0: SCSI BUS has been reset.
sym0:8:0: BUS RESET operation complete.
Device sr2 not ready.

cat /proc/scsi/scsi ginves:

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: Maxtor 6Y200M0   Rev: YAR5
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi2 Channel: 00 Id: 03 Lun: 00
  Vendor: PLEXTOR  Model: CD-ROM PX-40TS   Rev: 1.14
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 04 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W1210S Rev: 1.06
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 05 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W4012S Rev: 1.05
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 08 Lun: 00
  Vendor: QUANTUM  Model: ATLAS V 18 WLS   Rev: 0201
  Type:   Direct-Access                    ANSI SCSI revision: 03


Version-Release number of selected component (if applicable):
8:2.01.1-5 / kernel 2.6.9-1.678_FC3 

How reproducible:
Always

Steps to Reproduce:
1. just run cdrecord, nothing special to do.
2.
3.
    

Additional info:

this causes the scsi bus to reset.
Comment 1 A.P.Munnikes 2004-11-18 16:43:58 EST
I forgot the cdrecord output..
cdrecord dev=/dev/scd1 /cdrs/KNOPPIX_V3.6-2004-08-16-EN.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/scd1'
devname: '/dev/scd1'
scsibus: -2 target: -2 lun: -2

please note hte last line, he get the wrong scsi bus, target and lun
Comment 2 Harald Hoyer 2004-11-19 10:05:24 EST
bus target lun are not looked up, if you specify dev=/dev/xyz
Comment 3 Suchandra Thapa 2004-11-24 14:13:12 EST
I'm seeing a similar problem with my system.  I'm using a dual change
LSI 21320 card.  Channel 0 has 2 hard drives and channel 1 has a dat
drive and a plextor cdrw.  

Running xcdroast or k3b both hang when cdrecord is invoked.  The log
messages from the kernel consist of 

Nov 21 22:38:16 hepcat kernel: mptbase: ioc0: LogInfo(0x11030000):
F/W: ASYNC Outbound Overrun
Nov 21 22:38:16 hepcat kernel: mptbase: ioc0: LogInfo(0x11030000):
F/W: ASYNC Outbound Overrun
Nov 21 22:38:16 hepcat kernel: mptbase: ioc0: IOCStatus(0x004b): SCSI
IOC Terminated

being repeated over and over as the scsi bus gets reset repeatedly.  I
needed to reboot to get things back to a normal state.
Comment 4 Harald Hoyer 2004-12-07 12:10:18 EST
try updating the kernel
Comment 5 Suchandra Thapa 2004-12-12 12:24:08 EST
For my config, the latest kernel fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.